SDL_HINT_VIDEO_X11_NET_WM_PING(3)

NAME
SDL_HINT_VIDEO_X11_NET_WM_PING - A variable controlling whether the X11 _NET_WM_PING protocol should be supported.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_VIDEO_X11_NET_WM_PING "SDL_VIDEO_X11_NET_WM_PING"

DESCRIPTION
By default SDL will use _NET_WM_PING, but for applications that know they will not always be able to respond to ping requests in a timely manner they can turn it off to avoid the window manager thinking the app is hung.

The variable can be set to the following values:

• "0": Disable _NET_WM_PING.

• "1": Enable _NET_WM_PING. (default)

This hint should be set before creating a window.

AVAILABILITY
This hint is available since SDL 3.2.0.